# event-forecasting
![Build](https://img.shields.io/badge/build-passing-green)
![PyPi](https://img.shields.io/badge/coverage-100%25-brightgreen)
![PyPi](https://img.shields.io/badge/PyPi-1.0.0-blue)
![PyPi](https://img.shields.io/badge/code%20style-black-black)

Event Forecasting Algorithms

## Theory
Correlating events in complex and dynamic IoT environments is a challenging task not only because of the amount of available data that needs to be processed but also due to the call for time efficient data processing. We propose the adoption of a univariate change detection algorithms for real-time event detection.

## Requirements
* Python 3.6 to 3.10 supported.
* numpy 1.22.0 to 1.22.2 supported.


## Installation
1. Install with pip:
```
python -m pip install event-forecasting
```


## Usage/Examples
See the example project in the [example/](https://github.com/Intellia-SME/event-forecasting/tree/main/example) directory of the GitHub repository.


## License
[BSD-3-Clause License](https://github.com/Intellia-SME/event-forecasting/blob/main/LICENSE)
